# [5.2.0](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/compare/v5.1.0...v5.2.0) (2020-12-11)


### Bug Fixes

* **index:** add news of bdn I print release ([95ae854](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/95ae85488e533f528dc0de0c722d0560a2a55e14))
* **modules.app:** remove js import that is now packed into project.js ([c161156](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/c161156b43a9010b4f39fa1d9602f79b0ed6616f))
* **neologie.css:** add css class `error` for errors ([313fe1b](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/313fe1b5ae5dbce4dc116a58fd401b9db8b21fdb))
* **npm:** build assets with `npm run build` ([7d4fdf1](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/7d4fdf1e80a7ed2140ba74ac5898d0ac5ec62ec3))
* **post-install:** remove test calls to allow deployment on fail ([0d85d93](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/0d85d933b55eeb96c94f9e257751f09702579f07))
* **templates.[page_]index:** clean js imports to use the packed and minified files ([7dcb7c9](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/7dcb7c9e1ab435fa06ec93e6a86383098449d53e))


### Features

* build full xml on publication of single file ([36a1dac](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/36a1dacb7554e98857938e58d036f58f327b0665)), closes [#204](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/issues/204)
* **gulp:** provide gulpfile to pack and minify js dependencies ([6405e07](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/6405e0740466e5753094fb29c3364a6b79aeba34))
* **neologie-interactive.css:** move highlighted reading to front of reading stack ([505cd8d](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/505cd8da378d2cdaf7fc4d36435dc30761f0d9bc))

# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]
### Added
- Auf der jeweiligen Informationsseite zu einem Autor gibt es nun einen Button, der zur Werkübersicht zurückführt.
- Neuigkeiten auf der Startseite.
- Darstellung von zitierten Passus in Bahrdt/Semler in der digitalen Ansicht.
- Darstellung von editorischen Fußnoten in Bahrdt/Semler.
### Changed
- Update auf eXist-db 4.7.0.
- Die Navigation im Reiter "Editionen" wurde aktualisiert.
- Die Sprache des Changelogs wurde auf Deutsch geändert.
- Der Text von Lemmata sind nun immer hervorgehoben, wenn die zugehörige Variante sichtbar ist (nicht nur beim Hover über die Variante).
- Die Werkübersicht wurde auf den neuen Mechanismus für das semantische Splitten der Gesamt-XMLs angepasst. Zudem wurden Untereinträge eingeführt, die für mehr Übersichtlichkeit sorgen.
### Fixed
- Bug im semantischen Splitten der Gesamt-XMLs behoben.
- Bug in der Editionsnavigation behoben: Link unter "Ansicht" > "Editorisches Vorwort" korrigiert.


## [4.4.0] - 2019-05-17
### Added
- Mobile Friendliness: Navbar für alle Editionsansichten auf kleinen Geräten (sm oder xs breakpoint).
- Registeransicht wurde leicht überarbeitet.
- Serialisierung der editorischen Vorworte.
- Anpassungen an die neueste Schemaerweiterung.


### Changed
- Registeransichten werden nun während xml-utils:main erzeugt.
- Entfernen von zirkulären Abhängigkeiten in utils.xqm/whitelist.xqm und utils.xqm/nav-utils.xqm.
- Update auf eXist-db 4.6.1.
- Schemadokumentation wird nun mit SADEs ODD Serializer angezeigt.
- Die Navigation in den Editionsansichten berücksichtigt nun spezielle Anforderungen von Bahrdt/Semler.
- Die interaktive Ansicht von Bahrdt/Semler hat nur noch eine Spalte.
- Das Abkürzungsicon wurde durch eine Unterstreichung des betreffenden Texts ersetzt.

### Fixed
- Bug in der Erzeugung der TEI/XML-Ansicht behoben.
- Es werden nur noch Register, die in einem Werk vorkommen, angezeigt.
- Bug im Zählen der tei:rdg in der textkritischen Ansicht behoben.
- Verrücken des Texts wenn ein Modalfenster geöffnet wird getilgt.
- Mehrfacheinträge von Buchstaben in der Registernavigation getilgt.
- Kleinere Bugs in Bahrdt/Semler behoben.
- Erzeugung der TEI/XML-Ansicht funktioniert jetzt für alle vier Autoren in der Pipe (Nösselt, Griesbach, Leß, Bahrdt/Semler)
- Bug in Griesbach behoben, durch den ein komplett ausgelassenes tei:item keine Hintergrundfarbe in der interaktiven Anicht hatte.

## [4.3.0] - 2018-10-19
### Added
- Ein kompletter Workflow, mit dem alle XML eines Werks sowie die während des Splittens erzeugten XML in whitelist.xml eingefügt werden.

### Changed
- Kleinere Umbenennungen von Funktionsnamen und Variablen (code quality).


## [4.2.0] - 2018-10-19
### Added
- Die Listenübersicht für alle Registertypen unter index-overview.html.

### Changed

### Removed
